Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.consumer.query
Interface QueryConstants

    public interface QueryConstants

Interface providing some of the common table references and table declarations for the SQL queries listed in the Minimum Query Catalog for transaction ITI-16: Query Registry.

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework

Field Summary
`static java.lang.String` | `AUTHOR_PERSON_SLOT_TABLE`
`static java.lang.String` | `AUTHOR_PERSON_SLOT_TABLE_DECL`
`static java.lang.String` | `CLASS_CODE_TABLE`
`static java.lang.String` | `CLASS_CODE_TABLE_DECL`
`static java.lang.String` | `CONFIDENTIALITY_CODE_TABLE`
`static java.lang.String` | `CONFIDENTIALITY_CODE_TABLE_DECL`
`static java.lang.String` | `CONTENT_TYPE_CODE_TABLE`
`static java.lang.String` | `CONTENT_TYPE_CODE_TABLE_DECL`
`static java.lang.String` | `DOC_ENTRY_TABLE`
`static java.lang.String` | `DOC_ENTRY_TABLE_DECL`
`static java.lang.String` | `EVENT_CODE_TABLE`
`static java.lang.String` | `EVENT_CODE_TABLE_DECL`
`static java.lang.String` | `FOLDER_CLASSIFICATION_DECL`
`static java.lang.String` | `FOLDER_CLASSIFICATION_TABLE`
`static java.lang.String` | `FOLDER_TABLE`
`static java.lang.String` | `FOLDER_TABLE_DECL`
`static java.lang.String` | `FORMAT_CODE_TABLE`
`static java.lang.String` | `FORMAT_CODE_TABLE_DECL`
`static java.lang.String` | `HAS_MEMBER_ASSN_TABLE`
`static java.lang.String` | `HAS_MEMBER_ASSN_TABLE_DECL`
`static java.lang.String` | `HEALTHCARE_FACILITY_TABLE`
`static java.lang.String` | `HEALTHCARE_FACILITY_TABLE_DECL`
`static java.lang.String` | `PARENT_DOC_ENTRY_TABLE`
`static java.lang.String` | `PARENT_DOC_ENTRY_TABLE_DECL`
`static java.lang.String` | `PARENT_DOC_REL_TABLE`
`static java.lang.String` | `PARENT_DOC_REL_TABLE_DECL`
`static java.lang.String` | `PATIENT_ID_TABLE`
`static java.lang.String` | `PATIENT_ID_TABLE_DECL`
`static java.lang.String` | `PRACTICE_SETTING_TABLE`
`static java.lang.String` | `PRACTICE_SETTING_TABLE_DECL`
`static java.lang.String` | `REGISTRY_OBJECT_TABLE`
`static java.lang.String` | `REGISTRY_OBJECT_TABLE_DECL`
`static java.lang.String` | `SOURCE_ID_TABLE`
`static java.lang.String` | `SOURCE_ID_TABLE_DECL`
`static java.lang.String` | `SUBMISSION_SET_CLASSIFICATION_DECL`
`static java.lang.String` | `SUBMISSION_SET_CLASSIFICATION_TABLE`
`static java.lang.String` | `SUBMISSION_SET_TABLE`
`static java.lang.String` | `SUBMISSION_SET_TABLE_DECL`
`static java.lang.String` | `TIME_SLOT_TABLE`
`static java.lang.String` | `TIME_SLOT_TABLE_DECL`
`static java.lang.String` | `UNIQUE_ID_TABLE`
`static java.lang.String` | `UNIQUE_ID_TABLE_DECL`

Field Detail

### DOC_ENTRY_TABLE

    static final java.lang.String DOC_ENTRY_TABLE

See Also:
  Constant Field Values

### DOC_ENTRY_TABLE_DECL

    static final java.lang.String DOC_ENTRY_TABLE_DECL

See Also:
  Constant Field Values

### CLASS_CODE_TABLE

    static final java.lang.String CLASS_CODE_TABLE

See Also:
  Constant Field Values

### CLASS_CODE_TABLE_DECL

    static final java.lang.String CLASS_CODE_TABLE_DECL

See Also:
  Constant Field Values

### CONFIDENTIALITY_CODE_TABLE

    static final java.lang.String CONFIDENTIALITY_CODE_TABLE

See Also:
  Constant Field Values

### CONFIDENTIALITY_CODE_TABLE_DECL

    static final java.lang.String CONFIDENTIALITY_CODE_TABLE_DECL

See Also:
  Constant Field Values

### FORMAT_CODE_TABLE

    static final java.lang.String FORMAT_CODE_TABLE

See Also:
  Constant Field Values

### FORMAT_CODE_TABLE_DECL

    static final java.lang.String FORMAT_CODE_TABLE_DECL

See Also:
  Constant Field Values

### PRACTICE_SETTING_TABLE

    static final java.lang.String PRACTICE_SETTING_TABLE

See Also:
  Constant Field Values

### PRACTICE_SETTING_TABLE_DECL

    static final java.lang.String PRACTICE_SETTING_TABLE_DECL

See Also:
  Constant Field Values

### HEALTHCARE_FACILITY_TABLE

    static final java.lang.String HEALTHCARE_FACILITY_TABLE

See Also:
  Constant Field Values

### HEALTHCARE_FACILITY_TABLE_DECL

    static final java.lang.String HEALTHCARE_FACILITY_TABLE_DECL

See Also:
  Constant Field Values

### EVENT_CODE_TABLE

    static final java.lang.String EVENT_CODE_TABLE

See Also:
  Constant Field Values

### EVENT_CODE_TABLE_DECL

    static final java.lang.String EVENT_CODE_TABLE_DECL

See Also:
  Constant Field Values

### TIME_SLOT_TABLE

    static final java.lang.String TIME_SLOT_TABLE

See Also:
  Constant Field Values

### TIME_SLOT_TABLE_DECL

    static final java.lang.String TIME_SLOT_TABLE_DECL

See Also:
  Constant Field Values

### AUTHOR_PERSON_SLOT_TABLE

    static final java.lang.String AUTHOR_PERSON_SLOT_TABLE

See Also:
  Constant Field Values

### AUTHOR_PERSON_SLOT_TABLE_DECL

    static final java.lang.String AUTHOR_PERSON_SLOT_TABLE_DECL

See Also:
  Constant Field Values

### PARENT_DOC_ENTRY_TABLE

    static final java.lang.String PARENT_DOC_ENTRY_TABLE

See Also:
  Constant Field Values

### PARENT_DOC_ENTRY_TABLE_DECL

    static final java.lang.String PARENT_DOC_ENTRY_TABLE_DECL

See Also:
  Constant Field Values

### PARENT_DOC_REL_TABLE

    static final java.lang.String PARENT_DOC_REL_TABLE

See Also:
  Constant Field Values

### PARENT_DOC_REL_TABLE_DECL

    static final java.lang.String PARENT_DOC_REL_TABLE_DECL

See Also:
  Constant Field Values

### SUBMISSION_SET_TABLE

    static final java.lang.String SUBMISSION_SET_TABLE

See Also:
  Constant Field Values

### SUBMISSION_SET_TABLE_DECL

    static final java.lang.String SUBMISSION_SET_TABLE_DECL

See Also:
  Constant Field Values

### SUBMISSION_SET_CLASSIFICATION_TABLE

    static final java.lang.String SUBMISSION_SET_CLASSIFICATION_TABLE

See Also:
  Constant Field Values

### SUBMISSION_SET_CLASSIFICATION_DECL

    static final java.lang.String SUBMISSION_SET_CLASSIFICATION_DECL

See Also:
  Constant Field Values

### CONTENT_TYPE_CODE_TABLE

    static final java.lang.String CONTENT_TYPE_CODE_TABLE

See Also:
  Constant Field Values

### CONTENT_TYPE_CODE_TABLE_DECL

    static final java.lang.String CONTENT_TYPE_CODE_TABLE_DECL

See Also:
  Constant Field Values

### SOURCE_ID_TABLE

    static final java.lang.String SOURCE_ID_TABLE

See Also:
  Constant Field Values

### SOURCE_ID_TABLE_DECL

    static final java.lang.String SOURCE_ID_TABLE_DECL

See Also:
  Constant Field Values

### FOLDER_TABLE

    static final java.lang.String FOLDER_TABLE

See Also:
  Constant Field Values

### FOLDER_TABLE_DECL

    static final java.lang.String FOLDER_TABLE_DECL

See Also:
  Constant Field Values

### FOLDER_CLASSIFICATION_TABLE

    static final java.lang.String FOLDER_CLASSIFICATION_TABLE

See Also:
  Constant Field Values

### FOLDER_CLASSIFICATION_DECL

    static final java.lang.String FOLDER_CLASSIFICATION_DECL

See Also:
  Constant Field Values

### PATIENT_ID_TABLE

    static final java.lang.String PATIENT_ID_TABLE

See Also:
  Constant Field Values

### PATIENT_ID_TABLE_DECL

    static final java.lang.String PATIENT_ID_TABLE_DECL

See Also:
  Constant Field Values

### UNIQUE_ID_TABLE

    static final java.lang.String UNIQUE_ID_TABLE

See Also:
  Constant Field Values

### UNIQUE_ID_TABLE_DECL

    static final java.lang.String UNIQUE_ID_TABLE_DECL

See Also:
  Constant Field Values

### HAS_MEMBER_ASSN_TABLE

    static final java.lang.String HAS_MEMBER_ASSN_TABLE

See Also:
  Constant Field Values

### HAS_MEMBER_ASSN_TABLE_DECL

    static final java.lang.String HAS_MEMBER_ASSN_TABLE_DECL

See Also:
  Constant Field Values

### REGISTRY_OBJECT_TABLE

    static final java.lang.String REGISTRY_OBJECT_TABLE

See Also:
  Constant Field Values

### REGISTRY_OBJECT_TABLE_DECL

    static final java.lang.String REGISTRY_OBJECT_TABLE_DECL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD